%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see http://www.gnu.org/licenses/.
% 
% (c) 2015, George Anastassakis (anastas@unipi.gr)
%

parent(fergus, scrooge).
parent(downy, scrooge).
parent(fergus, matilda).
parent(downy, matilda).
parent(fergus, hortense).
parent(downy, hortense).
parent(hortense, donald).
parent(hortense, della).
parent(quackmore, donald).
parent(quackmore, della).
parent(della, huey).
parent(della, louie).
parent(della, dewey).

sibling(X, Y):-
	parent(Z, X),
	parent(Z, Y),
	X \= Y.

grandparent(X, Y):-
	parent(X, Z),
	parent(Z, Y).

% TODO: add more...

